Box’a’Fox
API referenceOrders

List orders

GET
/v1/orders

Filters: status, min_/max_created_at, product_code. Sort: created_at.

Authorization

ApiKey
headerX-API-Key<token>

prx_live_<40 base62>

Query Parameters

page?integer
Formatint64
Range1 <= value
Default1
per_page?integer
Formatint64
Range1 <= value <= 100
Default25
sort_by?string

created_at or created_at_desc (default).

status?string
Value in"paid""provisioning""active""failed"
min_created_at?string
Formatdate-time
max_created_at?string
Formatdate-time
product_code?string
Value in"residential_gb""mobile_gb"

Response Body

OK

application/json
  1. response
data*array<>|null
message*string
page*integer

Current page (1-based).

Formatint64
per_page*integer

Items per page (1–100).

Formatint64
total_count*integer

Exact total across all pages.

Formatint64
curl -X GET "https://example.com/v1/orders"
{  "data": [    {      "activated_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "credit_after_cents": 0,      "credit_before_cents": 0,      "discount_cents": 0,      "failure_reason": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "items": [        {          "bytes": 0,          "gb": 0,          "price_per_gb_cents": 0,          "product_code": "residential_gb",          "total_cents": 0        }      ],      "number": "ORD-2026-000123",      "promo_code": "string",      "status": "paid",      "subtotal_cents": 0,      "total_cents": 0,      "valid_until": "2019-08-24T14:15:22Z"    }  ],  "message": "OK",  "page": 1,  "per_page": 25,  "total_count": 137}